﻿enyo.kind({
    name: "enyo.DialogChooseBluetoothGps",
    kind: enyo.Control,
    events: {
        onChoosen: ""
    },
    components: [
        { name: "dlg", kind: "ModalDialog", caption: "Choose Bluetooth GPS device", components: [
            { name: "listItems", kind: "VirtualRepeater", onSetupRow: "listGPSSetupRow",
                components: [
	            { kind: "Item", layoutKind: "HFlexLayout", align: "left", onclick: "itemClick", components: [
                    { name: "caption", flex: 1 }
	            ]
	            }
            ]
            },
            { layoutKind: "HFlexLayout", pack: "center", components: [
                { kind: "Button", caption: "Cancel", width: "60px", onclick: "cancelClick" },
            ]
            }
        ]
        }
    ],
    listData: [],
    create: function () {
        this.inherited(arguments);
    },
    show: function (itemList) {
        console.log("dialog show()");
        this.listData = itemList;
        this.$.dlg.openAtCenter();
    },
    listGPSSetupRow: function (inSender, inRow) {
        var row = this.listData[inRow];
        if (row) {
            this.$.caption.setContent(row.name);
            return true;
        }
    },
    itemClick: function (inSender, inEvent) {
        var row = this.listData[inEvent.rowIndex];
        this.doChoosen(row.address);
        this.$.dlg.close();
    },
    cancelClick: function () {
        this.$.dlg.close();
    },
});